test::Ethernet Interface Reference

test routines for RJ45 Ethernet port This is low level interface using ethtool that does not persist any of the settings made (TODO: this interface may be combined with a 'decent' network interface. More...

`import"testrpc.idl";`

## Public Types

enum | Speed { SPD_10, SPD_100, SPD_1000 }
| Ethernet Speed. More...
enum | Duplex { DPX_HALF, DPX_FULL }
| Ethernet Duplex Mode. More...

## Public Member Functions

vector< string > | getDevices ()
| returns a a list of valid network interface devices
int | setParameters (in string device, in Speed speed, in Duplex duplex, in boolean isAutoNeg)
| transiently sets the interface to the desired parameters More...

## Detailed Description

test routines for RJ45 Ethernet port This is low level interface using ethtool that does not persist any of the settings made (TODO: this interface may be combined with a 'decent' network interface.

Currently the network interface is dedicated to special use cases)

## Member Enumeration Documentation

## Duplex

enum test::Ethernet::Duplex

Ethernet Duplex Mode.

Enumerator
DPX_HALF | Half Duplex.
DPX_FULL | Full Duplex.

## Speed

enum test::Ethernet::Speed

Ethernet Speed.

Enumerator
SPD_10 | 10 Mbit/s
SPD_100 | 100 Mbit/s
SPD_1000 | 1 Gbit/s

## Member Function Documentation

## setParameters()

int test::Ethernet::setParameters | ( | in string | device,
|  | in Speed | speed,
|  | in Duplex | duplex,
|  | in boolean | isAutoNeg
| ) |  |

transiently sets the interface to the desired parameters

Returns
  0 if OK
  1 if invalid param
  2 if system error executing operation

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/testrpc.idl